org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ScalarMapStep<S,E>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,E>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MapStep<S,E>
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ScalarMapStep<S,E>

- All Implemented Interfaces:
    Serializable, Cloneable, Iterator<Traverser.Admin<E>>, Step<S,E>
  Direct Known Subclasses:
    AddEdgeStep, AddVertexStep, ConstantStep, CountLocalStep, DedupLocalStep, EdgeOtherVertexStep, ElementMapStep, IdStep, IndexStep, LabelStep, LambdaMapStep, LoopsStep, MathStep, MaxLocalStep, MeanLocalStep, MinLocalStep, OrderLocalStep, PathStep, ProjectStep, PropertyKeyStep, PropertyMapStep, PropertyValueStep, RangeLocalStep, ReferenceElementStrategy.ReferenceElementStep, SackStep, SampleLocalStep, SumLocalStep, TailLocalStep, WhereTraversalStep.WhereStartStep

      public abstract class ScalarMapStep<S,E>
      extends MapStep<S,E>

  A type of `MapStep` class which will transform the object of one `Traverser` into another. This class simply requires the implementation of the `map(Traverser.Admin)` method to extract the object of the given `Traverser` and return the transformation of that object as `E`.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScalarMapStep(Traversal.Admin traversal)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract E` | `map(Traverser.Admin<S> traverser)`
    `protected Traverser.Admin<E>` | `processNextStart()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, clone, equals, getId, getLabels, getNextStep, getPreviousStep, getStarts, getTraversal, hashCode, hasNext, hasStarts, isTraverserStepIdAndLabelsSetByChild, next, prepareTraversalForNextStep, removeLabel, reset, setId, setNextStep, setPreviousStep, setTraversal, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals, getRequirements`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### ScalarMapStep

          public ScalarMapStep(Traversal.Admin traversal)

  - ### Method Detail

    - #### processNextStart

          protected Traverser.Admin<E> processNextStart()

      Specified by:
        `processNextStart` in class `AbstractStep<S,E>`

    - #### map

          protected abstract E map(Traverser.Admin<S> traverser)

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.